# jQuery Spellchecker

The jQuery Spellchecker is a free Javascript spellchecker in the form of a lightweight jQuery plugin that can be used to check the spelling of text within a form field or within a DOM tree.
This is a complete rewrite of the [initial spellchecker](http://code.google.com/p/jquery-spellchecker/) plugin I wrote.

The current version of the plugin is v0.2.4 Beta.

## Features

* Unicode support (works with most languages)
* HTML parsing (for using the spellchecker within WSYIWYG editors)
* Text parsing (for using the spellchecker on form fields)
* Multiple fields
* Multiple PHP back-end drivers (Enchant, PSpell, Google)
* Friendly API
* Event based
* MIT licensed
* Actively developed


## Browser support

The plugin has been tested and works with the following browsers:

* IE6+ and latest Chrome, Firefox, Safari and Opera

## Requirements

* jQuery
* PHP5.3+ to use the default webservice

## Download

* [View Downloads](http://jquery-spellchecker.badsyntax.co/downloads.html)

## Documentation

* [View documentation](https://github.com/badsyntax/jquery-spellchecker/wiki/Documentation)

## Examples

You can find simple usage examples in the downloadable package.

* [Fancy demos](http://jquery-spellchecker.badsyntax.co)
* [Basic demos](http://jquery-spellchecker.badsyntax.co/basic)


## Issues

Testing is much appreciated. Please post any issue you find in the [issue tracker](https://github.com/badsyntax/jquery-spellchecker/issues).

## Contributing

* View the [contribute documentation](https://github.com/badsyntax/jquery-spellchecker/blob/master/CONTRIBUTING.md) to learn how to contribute to the project.

## Thanks

This project would not be possible without the [findAndReplaceDOMText](https://github.com/padolsey/findAndReplaceDOMText) function written by [James Padolsey](https://github.com/padolsey).

## License

Licensed under the MIT license.
